import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'removeTrailingPeriod',
  standalone: true
})
export class RemoveTrailingPeriodPipe implements PipeTransform {
  transform(value: string): string {
    if (!value) {
      return value;
    }
    
    return value.endsWith('.') ? value.slice(0, -1) : value;
  }
}